Bug 8588 - Duplicate field IDs cause problems with SQL report parameter entry
Summary: Duplicate field IDs cause problems with SQL report parameter entry
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 16:46 UTC by Owen Leonard
Modified: 2013-05-23 06:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8588 - Duplicate field IDs cause problems with SQL report parameter entry (4.26 KB, patch)
2012-08-07 19:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8588 - Duplicate field IDs cause problems with SQL report parameter entry (4.29 KB, patch)
2012-08-08 08:36 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8588 [3.8.x] Duplicate field IDs cause problems with SQL report parameter entry (5.02 KB, patch)
2012-11-21 17:36 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-08-07 16:46:01 UTC
When the SQL repots template displays form fields for entering runtime parameters the fields do not have unique ids. This prevents correct label+input markup from being possible and causes buggy behavior by the jQueryUI datepicker widget.
Comment 1 Owen Leonard 2012-08-07 19:14:56 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-08-08 08:36:08 UTC Comment hidden (obsolete)
Comment 3 Mason James 2012-08-10 06:59:15 UTC
(In reply to comment #2)
> Created attachment 11438 [details] [review]
> Bug 8588 - Duplicate field IDs cause problems with SQL report parameter entry
> 
> Changes to markup and script to enable unique ids on form
> fields. These changes allow for working label+input pairs
> on one or more text and select inputs and multiple working
> datepickers.
> 
> To test, create a report with more than one date parameter,
> at least one text parameter, and one or more authorised
> value parameters. The datepickers should each work properly,
> and labels should by clickable.
> 
> Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

patch looks good, passing QA


mason@xen1:~/git/head$ koha-qa.pl
        * b23ef0a Bug 8588 - Duplicate field IDs cause problems with SQL report parameter entry
                koha-tmpl/intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt
                reports/guided_reports.pl

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
Comment 4 Paul Poulain 2012-08-31 11:48:02 UTC
Patch pushed today
Comment 5 Chris Cormack 2012-09-01 02:50:35 UTC
Does not apply to 3.8.x, please submit a patch for 3.8.x if you think it should be pushed there.
Comment 6 Owen Leonard 2012-11-21 17:36:13 UTC
Created attachment 13608 [details] [review]
Bug 8588 [3.8.x] Duplicate field IDs cause problems with SQL report parameter entry

Reimplemented for 3.8.x: Changes to markup and script to
enable unique ids on form fields. These changes allow for
working label+input pairs on one or more text and select
inputs and multiple working datepickers.

To test, create a report with more than one date parameter,
at least one text parameter, and one or more authorised
value parameters. The datepickers should each work properly,
and labels should by clickable.
Comment 7 Chris Cormack 2012-12-08 06:46:06 UTC
Pushed to 3.8.x, will be in 3.8.8